Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide
Interface WizardDescriptor.Iterator

All Known Subinterfaces:
  WizardDescriptor.AsynchronousInstantiatingIterator, WizardDescriptor.InstantiatingIterator

All Known Implementing Classes:
  WizardDescriptor.ArrayIterator

Enclosing class:
  WizardDescriptor

    public static interface WizardDescriptor.Iterator

Iterator on the sequence of panels.

See Also:
  `WizardDescriptor.Panel`

Method Summary
`void` | `addChangeListener(ChangeListener l)` Add a listener to changes of the current panel.
`WizardDescriptor.Panel` | `current()` Get the current panel.
`boolean` | `hasNext()` Test whether there is a next panel.
`boolean` | `hasPrevious()` Test whether there is a previous panel.
`String` | `name()` Get the name of the current panel.
`void` | `nextPanel()` Move to the next panel.
`void` | `previousPanel()` Move to the previous panel.
`void` | `removeChangeListener(ChangeListener l)` Remove a listener to changes of the current panel.

Method Detail

### current

    WizardDescriptor.Panel current()

  Get the current panel.

  Returns:
    the panel

### name

    String name()

  Get the name of the current panel.

  Returns:
    the name

### hasNext

    boolean hasNext()

  Test whether there is a next panel.

  Returns:
    `true` if so

### hasPrevious

    boolean hasPrevious()

  Test whether there is a previous panel.

  Returns:
    `true` if so

### nextPanel

    void nextPanel()

  Move to the next panel. I.e. increment its index, need not actually change any GUI itself.

  Throws:
    `NoSuchElementException` - if the panel does not exist

### previousPanel

    void previousPanel()

  Move to the previous panel. I.e. decrement its index, need not actually change any GUI itself.

  Throws:
    `NoSuchElementException` - if the panel does not exist

### addChangeListener

    void addChangeListener(ChangeListener l)

  Add a listener to changes of the current panel. The listener is notified when the possibility to move forward/backward changes.

  Parameters:
    `l` - the listener to add

### removeChangeListener

    void removeChangeListener(ChangeListener l)

  Remove a listener to changes of the current panel.

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.